// ============================================================================
// Project:	Deductive Database
// Filename:	load_tcbf.h
// Purpose:	Parse and load data for "parent" relation for tc(bf) benchmark.
// Last Change:	24.05.2016
// Language:	C++
// EMail:	brass@informatik.uni-halle.de
// WWW:		http://www.informatik.uni-halle.de/~brass/
// Address:	Feldschloesschen 15, D-06120 Halle (Saale), GERMANY
// Copyright:	(c) 2015-2016 by Stefan Brass
// License:	See file "LICENSE" for copying conditions.
// Note:	There is no warranty at all - this code may contain bugs.
// ============================================================================


//=============================================================================
// Include File Frame:
//=============================================================================

#ifndef	LOAD_TCBF_INCLUDED
#define LOAD_TCBF_INCLUDED

//=============================================================================
// Used Types and Macros:
//=============================================================================

#ifndef VER_INCLUDED
#include "ver.h"
#endif

#ifndef STR_INCLUDED
#include "str.h"
#endif

#ifndef CHECK_INCLUDED
#include "check.h"
#endif

#ifndef	REL_N_N_INCLUDED
#include "rel_n_n.h"
#endif


//=============================================================================
// Load Data, Version for "dblp.data" - Class With Only Static Members:
//=============================================================================

class load_tcbf_c {
	public:

//-----------------------------------------------------------------------------
// Static Methods:
//-----------------------------------------------------------------------------

	// Load data:
	static bool load(
			// Name of data file to load:
			str_t filename,
			// Relations for EDB-literals:
			rel_n_n_t par_bf);

//-----------------------------------------------------------------------------
// This class has no objects:
//-----------------------------------------------------------------------------

	private:

	// Constructor:
	load_tcbf_c();	// Not implemented

	// Destructor:
	~load_tcbf_c();	// Not implemented

//-----------------------------------------------------------------------------
// Copy-constructor and assignment operator are not supported for this class:
//-----------------------------------------------------------------------------

	private:

	load_tcbf_c(const load_tcbf_c& obj);		// Not implemented
	load_tcbf_c& operator=(const load_tcbf_c& obj);	// Not implemented


//=============================================================================
// End of Class:
//=============================================================================

};


//=============================================================================
// End of Include File:
//=============================================================================

#endif

